
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for All files</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1>All files</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">87.92% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>1150/1308</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">69.88% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>304/435</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">91.9% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>193/210</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">88% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>1123/1276</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line high'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="actions"><a href="actions/index.html">actions</a></td>
	<td data-value="85.5" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 85%"></div><div class="cover-empty" style="width: 15%"></div></div>
	</td>
	<td data-value="85.5" class="pct high">85.5%</td>
	<td data-value="269" class="abs high">230/269</td>
	<td data-value="65.45" class="pct medium">65.45%</td>
	<td data-value="110" class="abs medium">72/110</td>
	<td data-value="94.44" class="pct high">94.44%</td>
	<td data-value="18" class="abs high">17/18</td>
	<td data-value="85.33" class="pct high">85.33%</td>
	<td data-value="266" class="abs high">227/266</td>
	</tr>

<tr>
	<td class="file high" data-value="handlers"><a href="handlers/index.html">handlers</a></td>
	<td data-value="92.59" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 92%"></div><div class="cover-empty" style="width: 8%"></div></div>
	</td>
	<td data-value="92.59" class="pct high">92.59%</td>
	<td data-value="54" class="abs high">50/54</td>
	<td data-value="91.66" class="pct high">91.66%</td>
	<td data-value="12" class="abs high">11/12</td>
	<td data-value="87.5" class="pct high">87.5%</td>
	<td data-value="8" class="abs high">7/8</td>
	<td data-value="92.45" class="pct high">92.45%</td>
	<td data-value="53" class="abs high">49/53</td>
	</tr>

<tr>
	<td class="file high" data-value="helpers"><a href="helpers/index.html">helpers</a></td>
	<td data-value="95" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 95%"></div><div class="cover-empty" style="width: 5%"></div></div>
	</td>
	<td data-value="95" class="pct high">95%</td>
	<td data-value="20" class="abs high">19/20</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="4" class="abs medium">3/4</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="17" class="abs high">17/17</td>
	</tr>

<tr>
	<td class="file high" data-value="main"><a href="main/index.html">main</a></td>
	<td data-value="88.98" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 88%"></div><div class="cover-empty" style="width: 12%"></div></div>
	</td>
	<td data-value="88.98" class="pct high">88.98%</td>
	<td data-value="118" class="abs high">105/118</td>
	<td data-value="80" class="pct high">80%</td>
	<td data-value="25" class="abs high">20/25</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="8" class="abs high">8/8</td>
	<td data-value="88.88" class="pct high">88.88%</td>
	<td data-value="117" class="abs high">104/117</td>
	</tr>

<tr>
	<td class="file high" data-value="servises"><a href="servises/index.html">servises</a></td>
	<td data-value="88.07" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 88%"></div><div class="cover-empty" style="width: 12%"></div></div>
	</td>
	<td data-value="88.07" class="pct high">88.07%</td>
	<td data-value="847" class="abs high">746/847</td>
	<td data-value="69.71" class="pct medium">69.71%</td>
	<td data-value="284" class="abs medium">198/284</td>
	<td data-value="91.27" class="pct high">91.27%</td>
	<td data-value="172" class="abs high">157/172</td>
	<td data-value="88.21" class="pct high">88.21%</td>
	<td data-value="823" class="abs high">726/823</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Wed Jan 05 2022 16:20:27 GMT+0200 (за східноєвропейським стандартним часом)
            </div>
        </div>
        <script src="prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="sorter.js"></script>
        <script src="block-navigation.js"></script>
    </body>
</html>
    